<template>
    <div class="text-md-center">
        <h2>Register</h2>
        <some-component v-if="result">{{ result }}</some-component>
        <v-layout>
            <v-flex xs6 offset-xs3>
                <v-card>
                    <v-card-text>
                        <v-text-field
                            v-model="register.full_name"
                            label="Name"
                            required
                        >
                        </v-text-field>
                        <v-text-field
                            v-model="register.username"
                            label="Username"
                            required
                        >
                        </v-text-field>
                        <v-text-field
                            v-model="register.password"
                            label="Password"
                            required
                        >
                        </v-text-field>
                    </v-card-text>

                    <v-btn class="mb-3" success @click="registerIt">Register</v-btn>

                </v-card>
            </v-flex>
        </v-layout>
        
    </div>
</template>

<script>
export default {
    data() {
        return {
            register: {
                username: "",
                password: "",
                full_name: ""
            }
        }
    },
    methods:{
        registerIt(){
            this.$http.post("http://127.0.0.1:8000/user/register", this.register)
            .then(
            response => {
                let token =  response.data.user.api_token;
                
                localStorage.setItem('token', token);
            },
            error => {
                console.log(error);
            }
        );
        }
    }
    
}
</script>